From 88dfa50d0dfb29bd6808e2b2ab85d17291c6f87d Mon Sep 17 00:00:00 2001
From: Alyssa Rosenzweig <alyssa@collabora.com>
Date: Mon, 12 Jul 2021 20:27:03 -0400
Subject: [PATCH] panfrost: Fix format swizzles on G72

Fixes: 531d80de7c7 ("panfrost: Specialize blendable_formats for v6")
Signed-off-by: Alyssa Rosenzweig <alyssa@collabora.com>
---
 src/panfrost/lib/pan_util.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/panfrost/lib/pan_util.c b/src/panfrost/lib/pan_util.c
index e676a6ea460..0e02754b400 100644
--- a/src/panfrost/lib/pan_util.c
+++ b/src/panfrost/lib/pan_util.c
@@ -76,8 +76,8 @@ panfrost_format_to_bifrost_blend(const struct panfrost_device *dev,
                                  enum pipe_format format)
 {
         mali_pixel_format pixfmt = (dev->quirks & HAS_SWIZZLES) ?
-                panfrost_blendable_formats_v7[format].bifrost :
-                panfrost_blendable_formats_v6[format].bifrost;
+                panfrost_blendable_formats_v6[format].bifrost :
+                panfrost_blendable_formats_v7[format].bifrost;
 
         return pixfmt ?: dev->formats[format].hw;
 }
-- 
2.30.2

